aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-msgpack
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-23 10:45:48 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-23 10:45:48 +0000
commitf4c2d836dd6c3ba8beb17b8f4231102080993bc1 (patch)
tree9d623b2cbd9b7953c16c12329c4f310331fc8279 /community/py-msgpack
parent1140f515941e78b811ddc78e9ddf49dc931be6b0 (diff)
downloadaports-f4c2d836dd6c3ba8beb17b8f4231102080993bc1.tar.gz
aports-f4c2d836dd6c3ba8beb17b8f4231102080993bc1.tar.bz2
aports-f4c2d836dd6c3ba8beb17b8f4231102080993bc1.tar.xz
community/py-msgpack: upgrade to 0.4.8, moved from testing, added python3 support, added py2/py3 subpackages
Diffstat (limited to 'community/py-msgpack')
-rw-r--r--community/py-msgpack/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/community/py-msgpack/APKBUILD b/community/py-msgpack/APKBUILD
new file mode 100644
index 0000000000..bbdae50f34
--- /dev/null
+++ b/community/py-msgpack/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-msgpack
+_pkgname=msgpack-python
+pkgver=0.4.8
+pkgrel=0
+pkgdesc="A Python module for MessagePack serialization/deserialization"
+url="http://pypi.python.org/pypi/msgpack-python/"
+arch="noarch"
+license="ASL 2.0"
+depends=""
+makedepends="python2-dev py-setuptools python3-dev"
+subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ arch="all"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ _py python2
+ replaces="$pkgname"
+}
+
+_py3() {
+ _py python3
+}
+
+
+
+md5sums="dcd854fb41ee7584ebbf35e049e6be98 msgpack-python-0.4.8.tar.gz"
+sha256sums="1a2b19df0f03519ec7f19f826afb935b202d8979b0856c6fb3dc28955799f886 msgpack-python-0.4.8.tar.gz"
+sha512sums="59e9c43be6b92e6d10f40999e0902c350137e67a83c43bb15b273eca856a6eb39f24b625b02b40188a9365ce3101f03bfa9aa3dfff56c5c3b551533942183481 msgpack-python-0.4.8.tar.gz"